> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/telewellness-portal/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/telewellness-portal/api-reference/coaches/update-a-coach.md).

# Update a Coach

Use the `coachUpdate` mutation to update the coach name, email or password within the [TeleWellness Portal](/telewellness-portal/user-management/manage-coaches.md).

## Available argument

| **Argument Name** | **Is required?** |                                                           **Type**                                                          |                                                                **Description**                                                                |
| :---------------: | :--------------: | :-------------------------------------------------------------------------------------------------------------------------: | :-------------------------------------------------------------------------------------------------------------------------------------------: |
|        `ID`       |        Yes       |                                                              ID                                                             | Unique Coach ID. Get this ID by executing the [`coaches`](https://docs.suggestic.com/coaching-portal/api-references/coaches/coach-list) query |
|        name       |        No        |                                                            String                                                           |                                                                   Coach name                                                                  |
|       email       |        No        |                                                            string                                                           |                                                                  Coach email                                                                  |
|      password     |        No        | [UpdatePasswordInput](https://docs.suggestic.com/coaching-portal/api-references/coaches/update-a-coach#updatepasswordinput) |                                                   Object that contains the password fields.                                                   |

## UpdatePasswordInput object

### Available Fields

| **Field Name** | **Type** |       **Description**      |
| :------------: | :------: | :------------------------: |
|      `old`     |  String  | Introduce the old password |
|      `new`     |  String  | Introduce the new password |

## Available Fields

The following fields will be displayed in the response:

| **Field Name** |                                                **Type**                                                |                                                       **Description**                                                      |
| :------------: | :----------------------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------------------------------------------------: |
|    `success`   |                                                 Boolean                                                | <p><strong>True</strong> if the coach information has been updated successfully. Otherwise, <strong>False</strong><br></p> |
|    `message`   |                                                 String                                                 |                                                  Description of the result                                                 |
|     `coach`    | [Coach](https://docs.suggestic.com/coaching-portal/api-references/coaches/coach-list#available-fields) |                                          Object that returns the coach information                                         |

## Example

Update the coach name

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  coachUpdate(
    input: { id: "Q29hY2g6ODk2", name: "Liliana Elizabeth Iriarte Sanabria" }
  ) {
    success
    message
    coach {
      id
      email
      name
      isAdmin
      isDisabled
      createdAt
      updatedAt
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "coachUpdate": {
      "success": true,
      "message": "Coach updated",
      "coach": {
        "id": "Q29hY2g6ODk2",
        "email": "liliana+coach@suggestic.com",
        "name": "Liliana Elizabeth Iriarte Sanabria",
        "isAdmin": true,
        "isDisabled": false,
        "createdAt": "2021-11-24T18:07:29.189670+00:00",
        "updatedAt": "2022-01-17T21:27:54.241497+00:00"
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

Verify that the information was updated by accessing the My Account option:

![](/files/y0zNNTrfgrvFXpqOpH0Q)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/telewellness-portal/api-reference/coaches/update-a-coach.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
